petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASSetInterpolation

Sets the function to be used to calculate the interpolation from l-1 to the lth level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetInterpolation(SNES snes, PetscInt level, Mat mat)

### Input Parameters

| snes | - the multigrid context
| mat | - the interpolation operator
| level | - the level (0 is coarsest) to supply [do not supply 0]

### Notes

Usually this is the same matrix used also to set the restriction for the same level.

One can pass in the interpolation matrix or its transpose; PETSc figures out from the matrix size which one it is.

### Keywords

FAS, multigrid, set, interpolate, level

### See Also

SNESFASSetInjection(), SNESFASSetRestriction(), SNESFASSetRScale()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages